# OBS-WebSocket Tally Light

Quick Facts:

* runs on ESP8266 and similar
* supports Authentication (but doesn't require it)
* uses industry-standard colours
* automatically reconnects if disconnected
* provides debug output over serial
* works with and without studio mode

## Dependencies

* `platformio` set up on your machine
* an instance of OBS running the websockets plugin
* some wifi network over which the OBS instance is reachable

## Setup

1. copy `include/config.example,h` to `include/config.h`
2. edit `include/config.h` to match your wifi and obs settings
3. connect your ESP8266 board using USB
4. run `pio run -t upload` to install the tally light onto your board

If flashing succeeds, your LED strip should blink twice, then switch to
tally light mode.

The serial console is configured to use _115200_ baud.

## Colours

### Red

The configured source is currently live (visible in program).

### Green

Only available in studio mode.

The configured source is currenly in preview.

### Off

The configured source is currenly not visible.

### Purple

Authentication failed, either by a missing or wrong password. The light
will automatically restart after 10 seconds.
