/*
    OBS-Websocket-Tally

    Please note all pin numbers use the ESP8266 pin numbers. Take a look
    at your breakout boards documentation to find out which label on the
    board corresponds to which ESP8266 pin.
*/

// How many LEDs do you have connected?
#define LED_COUNT 10

// Choose anything between 0 (off) and 255 (supernova-bright)
#define LED_BRIGHTNESS 100

// Which pin is your LED strip connected to. The default is labeled D6
// on NodeMCU, D0 on Wemos D1 mini.
#define LED_PIN 12

// Configure your wifi credentials in here
#define WIFI_SSID "my wifi name"
#define WIFI_PASS "really secure password"

// The IP address of the machine running OBS Studio
#define OBS_HOST "172.19.138.143"

// The port on which the websockets plugin listens. Default is 4444
#define OBS_PORT 4444

/*
    If your websockets plugin requires authentication, set it here.
    The Tally light will automatically restart if the password is wrong
    (or unset but needed), but silently ignores if you set a password
    without needing it.
*/
//#define OBS_PASS ""

/*
    The name of the source as set in OBS. The tally light will perform
    a exact match on that value, so please make sure you enter your
    source name exactly as spelled inside OBS.
*/
#define OBS_SOURCE "ATEM"

/*
    If defined, you'll get a status LED if the tally light is connected
    to the configured OBS instance. The light will be on if the light
    is able to receive information from OBS. If there's no connection
    or authentication has failed. the light will be off.

    The default uses the onboard LED on the NodeMCU. On Wemos D1 mini
    this pin is labeled D6.
*/
#define STATUS_LED 16
